# UART Logs

Used for network, booting, and most other issues debugging.

## How to get them

First, connect your Kasli/SoC to the PC with a micro-USB cable. Once you turn on the device, wait at least 15 seconds
until its fully loaded.

### Development shell

1. `flterm /dev/ttyUSBX`, where `X` is usually third (index 2) from suggested variants.
2. Restart the device with `artiq_flash start`
3. If it didn't work, try all of `/dev/ttyUSBX`, and restart the device

### Older Nix and other Linuxes

1. Install `cutecom` via `nix-shell -p cutecom` or your package manager
2. Run `cutecom` and follow settings from the picture: ![uart_cutecom.png](../img/uart_cutecom.png)
3. Restart the device with `artiq_flash start`, or by power-cycling it (wait 30 seconds before turning on)
4. If it didn't work, try all of `/dev/ttyUSBX`, and restart the device

### Windows

TODO